VERSION 5.00
Object = "{42D59A35-B688-11D5-ADA7-009027BF5C2D}#1.0#0"; "x-subcls.ocx"
Begin VB.Form frmMinMaxSize 
   Caption         =   "Min/Max Size"
   ClientHeight    =   2775
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4845
   Icon            =   "WIN SBCLS MinMax.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   185
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   323
   StartUpPosition =   3  'Windows Default
   Begin VB.PictureBox picBanner 
      Align           =   1  'Align Top
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   0  'None
      ForeColor       =   &H80000008&
      Height          =   615
      Left            =   0
      MouseIcon       =   "WIN SBCLS MinMax.frx":030A
      MousePointer    =   99  'Custom
      Picture         =   "WIN SBCLS MinMax.frx":074C
      ScaleHeight     =   615
      ScaleWidth      =   4845
      TabIndex        =   1
      Top             =   0
      Width           =   4845
   End
   Begin SubClassing.EventHandler EventHandler 
      Left            =   240
      Top             =   840
      _ExtentX        =   847
      _ExtentY        =   847
   End
   Begin VB.Image imgMinMax 
      Height          =   480
      Left            =   3480
      Picture         =   "WIN SBCLS MinMax.frx":1775
      Top             =   1440
      Width           =   480
   End
   Begin VB.Label lblInfo 
      Alignment       =   2  'Center
      Caption         =   "This form has a min/max size!"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   15.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   -1  'True
         Strikethrough   =   0   'False
      EndProperty
      Height          =   855
      Left            =   960
      TabIndex        =   0
      Top             =   840
      Width           =   2775
   End
End
Attribute VB_Name = "frmMinMaxSize"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'==================================================================
'
' Subclass: Min Max Size
'
' 6 October 2001
'
' You're free in using this software, as long as the
' orignal copyright/author information remains intact.
' In other words, respecting the person(s) who made it
' possible for you to view/learn something of this software.
'
' Copyright  2001 - Diederik van der Boor
' http://www.codingdomain.com
'
'==================================================================



'------------------------------------------------------------------
' Activating / Deactivating the eventhandler

Private Sub Form_Load()
  EventHandler.Attached(Me.hWnd) = True
End Sub

Private Sub Form_Unload(Cancel As Integer)
  EventHandler.Attached(Me.hWnd) = False
End Sub


'------------------------------------------------------------------
' Debug code

Private Sub EventHandler_Hooked(ByVal hWnd As Long)
  Debug.Print "EventHandler.Attached(&H" & Hex(hWnd) & ") = True"
End Sub

Private Sub EventHandler_UnHooked(ByVal hWnd As Long)
  Debug.Print "EventHandler.Attached(&H" & Hex(hWnd) & ") = False"
End Sub


'------------------------------------------------------------------'
' What to do when a event is received.

Private Sub EventHandler_ReceivedMessage(ByVal hWnd As Long, ByVal WindowMessage As Long, ByVal wParam As Long, ByVal lParam As Long, ReturnMessage As EventResultMessage)
  Dim WinMinMax As MINMAXINFO
  
  ReturnMessage = evtCallPrevWinProc
    
  ' Event occurs when user resizes the window
  If WindowMessage = WM_GETMINMAXINFO Then
    ' Overwrite the WinMinmax Structure
    ' VB can't call/use a memory address long variable
    Call CopyMemory(WinMinMax, ByVal lParam, Len(WinMinMax))
    
    ' Set the minmax info (Pixels)
    WinMinMax.ptMinTrackSize.X = 100
    WinMinMax.ptMinTrackSize.Y = 200
    WinMinMax.ptMaxTrackSize.X = 400
    WinMinMax.ptMaxTrackSize.Y = 300
    
    ' Overwrite the MinMax Structure the API has dumped. The API will check there
    Call CopyMemory(ByVal lParam, WinMinMax, Len(WinMinMax))
    ReturnMessage = evtHandled
  End If
End Sub




'------------------------------------------------------------------
' Banner

Private Sub picBanner_Click()
  MsgBox "Copyright  2001 - Diederik van der Boor" & vbCrLf _
       & vbCrLf _
       & "Anyone is allowed to use this software freely, as long as" & vbCrLf _
       & "the the copright information in the source code remains intact." & vbCrLf _
       & vbCrLf _
       & "http://www.codingdomain.com"
End Sub


