VERSION 5.00
Object = "{42D59A35-B688-11D5-ADA7-009027BF5C2D}#1.0#0"; "X-SubCls.ocx"
Begin VB.Form frmTimeDate 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Subclassed Time Date"
   ClientHeight    =   1080
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4515
   Icon            =   "WIN SBCLS TimeDate.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1080
   ScaleWidth      =   4515
   StartUpPosition =   3  'Windows Default
   Begin VB.Image Image1 
      Height          =   480
      Left            =   240
      Picture         =   "WIN SBCLS TimeDate.frx":27A2
      Top             =   120
      Width           =   480
   End
   Begin SubClassing.EventHandler EventHandler 
      Left            =   3960
      Top             =   360
      _ExtentX        =   847
      _ExtentY        =   847
   End
   Begin VB.Label lblMoreInfo 
      Alignment       =   2  'Center
      BackStyle       =   0  'Transparent
      Caption         =   "Change the System time and see what happens!"
      Height          =   255
      Left            =   0
      TabIndex        =   1
      Top             =   720
      Width           =   4455
   End
   Begin VB.Label lblInfo 
      Alignment       =   2  'Center
      BackStyle       =   0  'Transparent
      Caption         =   "Subclass: TimeDate"
      BeginProperty Font 
         Name            =   "Comic Sans MS"
         Size            =   15.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   240
      TabIndex        =   0
      Top             =   120
      Width           =   4335
   End
End
Attribute VB_Name = "frmTimeDate"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'==================================================================
'
' Subclass: Time Date Change
'
' 6 October 2001
'
' You're free in using this software, as long as the
' orignal copyright/author information remains intact.
' In other words, respecting the person(s) who made it
' possible for you to view/learn something of this software.
'
' Copyright  2001 - Diederik van der Boor
' http://www.codingdomain.com
'
'==================================================================



'------------------------------------------------------------------
' Activate / Deactivate the eventhandler

Private Sub Form_Load()
  frmMinMaxSize.Show
  EventHandler.Attached(Me.hWnd) = True
End Sub

Private Sub Form_Unload(Cancel As Integer)
  EventHandler.Attached(Me.hWnd) = False
End Sub


'------------------------------------------------------------------
' Debugging Info

Private Sub EventHandler_Hooked(ByVal hWnd As Long)
  Debug.Print "EventHandler.Attached(&H" & Hex(hWnd) & ") = True"
End Sub

Private Sub EventHandler_UnHooked(ByVal hWnd As Long)
  Debug.Print "EventHandler.Attached(&H" & Hex(hWnd) & ") = False"
End Sub


'------------------------------------------------------------------
' What to do when an event is received

Private Sub EventHandler_ReceivedMessage(ByVal hWnd As Long, ByVal WindowMessage As Long, ByVal wParam As Long, ByVal lParam As Long, ReturnMessage As EventResultMessage)
  If WindowMessage = WM_TIMECHANGE Then
    Me.Caption = "Date/Time changed: " & Format(Date, "Short Date") & " " & Time()
  End If
  
  ' Redirect event to original window proc. (Default)
  ReturnMessage = evtCallPrevWinProc
End Sub
